package l1j.william;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.Random;
import l1j.server.L1DatabaseFactory;
import l1j.server.Server;
import l1j.server.server.model.Instance.L1NpcInstance;
import l1j.server.server.serverpackets.S_NpcChatPacket;

public class MobTalk {

   private static ArrayList array = new ArrayList();
   private static ArrayList aData6 = new ArrayList();
   private static boolean NO_MORE_GET_DATA6 = false;


   public static void main(String[] a) {
      while(true) {
         try {
            Server.main((String[])null);
         } catch (Exception var2) {
            ;
         }
      }
   }

   public static void forL1MonsterTalking(L1NpcInstance monster, int type) {
      ArrayList aTempData = null;
      Object iTemp = null;
      if(!NO_MORE_GET_DATA6) {
         NO_MORE_GET_DATA6 = true;
         getData6();
      }

      boolean order = false;

      for(int i = 0; i < aData6.size(); ++i) {
         aTempData = (ArrayList)aData6.get(i);
         if(((Integer)aTempData.get(0)).intValue() == monster.getNpcTemplate().get_npcId() && ((Integer)aTempData.get(1)).intValue() == type) {
            if(monster.hasSkillEffect(6019)) {
               return;
            }

            Random random = new Random();
            int chance = random.nextInt(100) + 1;
            if(((Integer)aTempData.get(2)).intValue() != 0 && ((Integer)aTempData.get(2)).intValue() >= chance) {
               if(((Integer)aTempData.get(3)).intValue() != 0) {
                  monster.broadcastPacket(new S_NpcChatPacket(monster, (String)aTempData.get(4), 2));
               } else {
                  monster.broadcastPacket(new S_NpcChatPacket(monster, (String)aTempData.get(4), 0));
               }

               if(((Integer)aTempData.get(5)).intValue() != 0) {
                  monster.setSkillEffect(6019, ((Integer)aTempData.get(5)).intValue() * 1000);
               }
            }

            return;
         }
      }

   }

   private static void getData6() {
      Connection con = null;

      try {
         con = L1DatabaseFactory.getInstance().getConnection();
         Statement stat = con.createStatement();
         ResultSet rset = stat.executeQuery("SELECT * FROM william_mob_talk");
         ArrayList aReturn = null;
         Object sTemp = null;
         if(rset != null) {
            while(rset.next()) {
               aReturn = new ArrayList();
               aReturn.add(0, new Integer(rset.getInt("mob_id")));
               aReturn.add(1, new Integer(rset.getInt("type")));
               aReturn.add(2, new Integer(rset.getInt("random")));
               aReturn.add(3, new Integer(rset.getInt("shout")));
               aReturn.add(4, rset.getString("talk"));
               aReturn.add(5, new Integer(rset.getInt("delay")));
               aData6.add(aReturn);
            }
         }

         if(con != null && !con.isClosed()) {
            con.close();
         }
      } catch (Exception var5) {
         ;
      }

   }

}
